<?php

	function photographer_ocdi_import_files()
	{
		$theme_directory     = trailingslashit(get_template_directory());
		$theme_directory_url = trailingslashit(get_template_directory_uri());
		
		return array(
			array(
				'import_file_name'             => esc_html__('Demo Content', 'read'),
				'local_import_file'            => $theme_directory     . 'admin/demo-data/content.xml',
				'local_import_widget_file'     => $theme_directory     . 'admin/demo-data/widgets.wie',
				'local_import_customizer_file' => $theme_directory     . 'admin/demo-data/customizer.dat',
				'import_preview_image_url'     => $theme_directory_url . 'admin/demo-data/screenshot.jpg'
			)
		);
	}
	
	add_filter('pt-ocdi/import_files', 'photographer_ocdi_import_files');
	
	
	function photographer_ocdi_time_for_one_ajax_call()
	{
		return 10;
	}
	
	add_action('pt-ocdi/time_for_one_ajax_call', 'photographer_ocdi_time_for_one_ajax_call');


/* ============================================================================================================================================= */


	function photographer_after_import()
	{
		// Assign menus to their locations.
		
		$main_menu = get_term_by('name', 'MyMenu', 'nav_menu');
		
		set_theme_mod(
			'nav_menu_locations',
			array(
				'pixelwars_theme_menu_location_1' => $main_menu->term_id,
			)
		);
		
		
		// Assign Homepage and Blog page.
		
		$homepage  = get_page_by_title('Home'); // Get homepage.
		$blog_page = get_page_by_title('Blog'); // Get blog page.
		
		update_option('show_on_front', 'page');
		update_option('page_on_front', $homepage->ID); // Set homepage.
		update_option('page_for_posts', $blog_page->ID); // Set blog page.
	}
	
	add_action('pt-ocdi/after_import', 'photographer_after_import');


/* ============================================================================================================================================= */


	add_filter('pt-ocdi/disable_pt_branding', '__return_true');
	
	add_filter('pt-ocdi/regenerate_thumbnails_in_content_import', '__return_false');


/* ============================================================================================================================================= */


	function photographer_ocdi_plugin_intro_text($default_text)
	{
		$default_text .= '<div class="ocdi__intro-text">';
		$default_text .= 	'<p>';
		$default_text .= 		'<b><span style="color: #ff0000;">' . esc_html__('Important:', 'read') . '</span> ' . esc_html__('Please check the following system requirements you need in order to import demo data. (If you are not sure whether or not your server support this, contact your host.)', 'read') . '</b>';
		$default_text .= 		'<br>';
		$default_text .= 		'<ul>';
		$default_text .= 			'<li><b>' . esc_html__('PHP 7 or Greater:', 'read') . '</b> ' . esc_html__('If your site is hosted on a server with an older PHP, you may experience issues. We recommend you to contact your hosting provider to upgrade to the latest version of PHP.', 'read') . '</li>';
		$default_text .= 			'<li><b>' . esc_html__('MySQL 5.6 or Greater:', 'read') . '</b> ' . esc_html__('MySQL version 5.6 or greater or MariaDB version 10.0 or greater.', 'read') . '</li>';
		$default_text .= 			'<li><b>' . esc_html__('WP Memory Limit:', 'read') . '</b> ' . esc_html__('WP Memory limit of 128 MB or greater. 256 MB or higher is preferred. For further reading check', 'read') . ' <a target="_blank" href="https://wordpress.org/support/article/editing-wp-config-php/#increasing-memory-allocated-to-php">' . esc_html__('here', 'read') . '</a>. ' . esc_html__('(If you are using additional plugins on your site that also have minimum requirements, you may need to increase your memory to help avoid loading issues.)', 'read') . '</li>';
		$default_text .= 		'</ul>';
		$default_text .= 		'<br>';
		$default_text .= 	'</p>';
		$default_text .= '</div>';
		
		return $default_text;
	}
	
	add_filter('ocdi/plugin_intro_text', 'photographer_ocdi_plugin_intro_text');

?>